### Method

# Ide Config set_internal_object

#### Declaration

    void
    ide_config_set_internal_object (
      IdeConfig* self,
      const gchar* key,
      GObject* instance
    )

#### Description

Sets the value for `key` to `instance`.

Available since: | 3.32

#### Parameters

`key` | `const gchar*`
| The key to set.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`instance` | `GObject`
| A `GObject` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.